<?php
namespace SF\Sfcategory\Command;

/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */
use TYPO3\CMS\Core\Resource\ResourceFactory;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Mvc\Controller\CommandController;

/**
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class PrintCommandController extends CommandController
{
    /**
     * Repair events.
     */
    public function createFileCommand()
    {
        $this->outputLine('Do something');

        $localFile = GeneralUtility::tempnam('test-for-andreas');
        file_put_contents($localFile, 'Hallo zusammen');

        $storage = ResourceFactory::getInstance()->getStorageObject(1);
        $newFile = $storage->addFile(
            $localFile,
            $storage->getRootLevelFolder(),
            basename($localFile),
            'overrideExistingFile'
        );

        GeneralUtility::unlink_tempfile($localFile);

        $this->outputLine('');
   }
}
