<?php
if (!defined('TYPO3_MODE')) {
    die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'SF.' . $_EXTKEY,
    'Category',
    array(
        'Car' => 'list, show, addNewPerson, addTranslatedPerson, createGerman, createEnglish, edit, update, delete',
        'Poi' => 'poiCollectionWidget, editPoiWidget',
    ),
    // non-cacheable actions
    array(
        'Car' => 'addNewPerson, addTranslatedPerson, createEnglish, createGerman, update, delete',
    )
);

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass'][] = 'SF\\Sfcategory\\Hook\\DataHandlerHook';

if (TYPO3_MODE === 'BE') {
    $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['extbase']['commandControllers'][] = 'SF\\Sfcategory\\Command\\PrintCommandController';
}
$GLOBALS['TYPO3_CONF_VARS']['RTE']['Presets']['froemmi'] = 'EXT:sfcategory/Configuration/RTE/Froemmi.yaml';
